﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class SelectionScript : MonoBehaviour
{
    public Button start;
    public int selectionAmt;
    public List<GameObject> yourDets;

    private List<GameObject> selected;

    // Start is called before the first frame update
    void Start()
    {
        start.interactable = false;
        selected = new List<GameObject>();
    }

    // Update is called once per frame
    void Update()
    {
        if(selected.Count == selectionAmt)
        {
            start.interactable = true;
        } else
        {
            start.interactable = false;
        }
    }
    public void AddSelected(GameObject s)
    {
        Toggle t = s.GetComponent<Toggle>();
        DetectiveScript det = s.GetComponent<DetectiveScript>();
        if(t.isOn == true)
        {
            selected.Add(s);
            int pos = selected.Count - 1;
            Slider[] stats = yourDets[pos].GetComponentsInChildren<Slider>();
            stats[0].value = det.DetectiveStats.Det.Stats.WeakStrongScale;
            stats[1].value = det.DetectiveStats.Det.Stats.DepravedHonorableScale;
            stats[2].value = det.DetectiveStats.Det.Stats.LazyAmbitiousScale;
            Text name = yourDets[pos].GetComponentInChildren<Text>();
            name.text = s.GetComponentInChildren<Text>().text;
            // change this to be the image file when we have assets
            Image icon = yourDets[pos].GetComponentInChildren<Image>();
            icon.color = s.GetComponentInChildren<Image>().color;
        }

        if(t.isOn == false)
        {
            Text sName = s.GetComponentInChildren<Text>();
            for(int i = 0; i < selected.Count; i++)
            {
                Text detName = yourDets[i].GetComponentInChildren<Text>();
                if(sName.text == detName.text)
                {
                    selected.Remove(selected[i]);
                    Slider[] stats = yourDets[i].GetComponentsInChildren<Slider>();
                    stats[0].value = 0;
                    stats[1].value = 0;
                    stats[2].value = 0;
                    detName.text = " ";
                    // change this to be the image file when we have assets
                    yourDets[i].GetComponentInChildren<Image>().color = new Color(255, 255, 255);
                    break;
                }
            }
        }
    }
}
